<template>
  <!--
    In this example, we use errors in the component props and in every fields;
    you certainly only want to use one or the other version in a real use case
  -->
  <rui-form action="#" :errors="errors" :loading="loading" @submit.prevent="send">
    <rui-field input-id="title"
               label="Title"
               :error="errors?.title ? 'Something is wrong' : null">
      <input id="title"
             v-model="inputs.title"
             type="text"
             name="title"
             required="required">
    </rui-field>
    <rui-field input-id="content"
               label="Title"
               :error="errors?.content ? 'Nope!' : null">
      <textarea id="content" v-model="inputs.content" name="content" />
    </rui-field>
  </rui-form>
</template>

<script>
export default {
  data () {
    return {
      errors: null,
      loading: false,
      inputs: {
        title: 'My nice post',
        content: '',
      },
    }
  },
  methods: {
    send () {
      this.loading = true

      setTimeout(() => {
        this.errors = {
          // Errors for attribute "title"
          title: ['is missing'],
          // Errors for attribute "content"
          content: ['is boring', 'is too short'],
        }
        this.loading = false
      }, 1000)
    },
  },
}
</script>
